﻿
<!-- <script src="~/assets/plugins/jquery-validation/jquery.validate.min.js"></script>
<script src="~/assets/plugins/jquery-validation/additional-methods.min.js"></script> -->
<script src="~/assets/plugins/jquery-inputmask/jquery.inputmask.bundle.min.js" type="text/javascript"></script>
<script src="~/assets/plugins/jquery-inputmask/jquery.input-ip-address-control-1.0.min.js" type="text/javascript"></script>
<script src="~/js/sweetalert.min.js"></script>


<script type="text/javascript">
    

    function createCookie(name, value, days) {
        var expires;

        if (days) {
            var date = new Date();
            date.setTime(date.getTime() + (days * 24 * 60 * 60 * 1000));
            expires = "; expires=" + date.toGMTString();
        } else {
            expires = "";
        }
        document.cookie = encodeURIComponent(name) + "=" + encodeURIComponent(value) + expires + "; path=/";
    }

    function readCookie(name) {
        var nameEQ = encodeURIComponent(name) + "=";
        var ca = document.cookie.split(';');
        for (var i = 0; i < ca.length; i++) {
            var c = ca[i];
            while (c.charAt(0) === ' ')
                c = c.substring(1, c.length);
            if (c.indexOf(nameEQ) === 0)
                return decodeURIComponent(c.substring(nameEQ.length, c.length));
        }
        return null;
    }

    function eraseCookie(name) {
        createCookie(name, "", -1);
    }
</script>


<script>
    $('#DienThoaiTraCuu').on('keypress', function (e) {
         if(e.which === 13){
             e.preventDefault();
         }
   });
    $('.bntTraCuu').click(function () {
        var DienThoaiTraCuu = $('#DienThoaiTraCuu').val();
        if (DienThoaiTraCuu != "" && DienThoaiTraCuu.length >= 8 && DienThoaiTraCuu.length <= 12) {
            $.ajax({
                type: "POST",
                url: '@Url.Action("GetQRCodeStaff", "TraCuu")',
                data: { DienThoaiTraCuu:DienThoaiTraCuu},
                dataType: 'text',
                success: function (data) {
                    console.log(data);
                    if (data != "") {
                        var dData = JSON.parse(data);
                        console.log(dData);
                        $('.card-code').removeClass('hide');
                        $("#DonVi").html(dData.DonVi );
                        $("#HoTen").html(dData.HoTen );
                        $("#QRCodeStaff").attr("src",dData.MaQR );
                    } else {
                        swal({
                            title: "Thông báo",
                            text: "Số điện thoại không khớp với nhân viên trong hệ thống!",
                            type: 'success',
                            confirmButtonColor: "#DD6B55",
                            confirmButtonText: "Đồng ý",
                            showCancelButton: false
                        }
                           
                        );
                    }
                },
                error: function (e) {
                    swal({
                        title: "Lỗi tra cứu",
                        text: "Vui lòng thử lại hoặc liên hệ TISC",
                        type: 'error',
                        showCancelButtonClass: 'OK'
                    });
                }
            });
        } else {
            swal({
                title: "Lỗi số điện thoại!",
                text: "SSố điện thoại không hợp lệ!",
                type: 'error',
                showCancelButtonClass: 'OK'
            });
        }
    });
    $(document).ready(function () {

        $('#DienThoaiTraCuu').keyup(function (e) {
            if (e.keyCode == 13) {
                $('.bntTraCuu').click();
            }
        });
    });
</script>
